## obs-studio 0.14.2+dfsg1

=== obs/CMakeLists.txt ===
project(obs)

option(ENABLE_UI "Enables the OBS user interfaces" ON)
if(DISABLE_UI)
	message(STATUS "UI disabled")
	return()
elseif(ENABLE_UI)
	set(FIND_MODE REQUIRED)
else()
	set(FIND_MODE QUIET)
endif()

if(DEFINED QTDIR${_lib_suffix})
	list(APPEND CMAKE_PREFIX_PATH "${QTDIR${_lib_suffix}}")
elseif(DEFINED QTDIR)
	list(APPEND CMAKE_PREFIX_PATH "${QTDIR}")
elseif(DEFINED ENV{QTDIR${_lib_suffix}})
	list(APPEND CMAKE_PREFIX_PATH "$ENV{QTDIR${_lib_suffix}}")
elseif(DEFINED ENV{QTDIR})
	list(APPEND CMAKE_PREFIX_PATH "$ENV{QTDIR}")
endif()

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)
set(CMAKE_AUTOMOC TRUE)

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
	set(_lib_suffix 64)
else()
	set(_lib_suffix 32)
endif()

find_package(Qt5Widgets ${FIND_MODE})

if(NOT Qt5Widgets_FOUND)
	if (ENABLE_UI)
		message(FATAL_ERROR "Failed to find Qt5")
	else()
		message(STATUS "Qt5 not found - UI disabled")
		return()
	endif()
endif()

include_directories(SYSTEM "${CMAKE_SOURCE_DIR}/libobs")

find_package(Libcurl REQUIRED)
include_directories(${LIBCURL_INCLUDE_DIRS})
add_definitions(${LIBCURL_DEFINITIONS})

if(WIN32)
	set(obs_PLATFORM_SOURCES
		platform-windows.cpp
		obs.rc)
elseif(APPLE)
	set(obs_PLATFORM_SOURCES
		platform-osx.mm)

	find_package(AppKit REQUIRED)
	set(obs_PLATFORM_LIBRARIES ${APPKIT_LIBRARIES})

	add_definitions(-fobjc-arc)

	option(ENABLE_SPARKLE_UPDATER "Enables updates via the Sparkle framework (don't forget to update the Info.plist for your .app)" OFF)
	if(ENABLE_SPARKLE_UPDATER)
		find_library(SPARKLE Sparkle)
		include_directories(${SPARKLE})
		set(obs_PLATFORM_SOURCES
			${obs_PLATFORM_SOURCES}
			sparkle-updater.mm)
		set(obs_PLATFORM_LIBRARIES
			${obs_PLATFORM_LIBRARIES}
			${SPARKLE})
		add_definitions(-DUPDATE_SPARKLE=1)
	endif()

elseif(UNIX)
        find_package(Qt5X11Extras REQUIRED)

	set(obs_PLATFORM_SOURCES
		platform-x11.cpp)

	find_package(XCB COMPONENTS XCB REQUIRED RANDR REQUIRED XINERAMA REQUIRED)
	
	include_directories(
		${XCB_INCLUDE_DIRS}
		${X11_XCB_INCLUDE_DIRS})
		
	add_definitions(
		${XCB_DEFINITIONS}
		${X11_XCB_DEFINITIONS})

	set(obs_PLATFORM_LIBRARIES
		${XCB_LIBRARIES}
		${X11_XCB_LIBRARIES}
                Qt5::X11Extras)
endif()

set(obs_SOURCES
	${obs_PLATFORM_SOURCES}
	obs-app.cpp
	window-basic-main.cpp
	window-basic-filters.cpp
	window-basic-settings.cpp
	window-basic-interaction.cpp
	window-basic-properties.cpp
	window-basic-main-outputs.cpp
	window-basic-source-select.cpp
	window-basic-main-scene-collections.cpp
	window-basic-main-transitions.cpp
	window-basic-main-profiles.cpp
	window-license-agreement.cpp
	window-basic-status-bar.cpp
	window-basic-adv-audio.cpp
	window-basic-transform.cpp
	window-basic-preview.cpp
	window-namedialog.cpp
	window-log-reply.cpp
	window-projector.cpp
	window-remux.cpp
	properties-view.cpp
	focus-list.cpp
	menu-button.cpp
	double-slider.cpp
	volume-control.cpp
	adv-audio-control.cpp
	item-widget-helpers.cpp
	visibility-checkbox.cpp
	vertical-scroll-area.cpp
	visibility-item-widget.cpp
	slider-absoluteset-style.cpp
	source-list-widget.cpp
	qt-display.cpp
	crash-report.cpp
	hotkey-edit.cpp
	source-label.cpp
	remote-text.cpp
	audio-encoders.cpp
	qt-wrappers.cpp)

set(obs_HEADERS
	obs-app.hpp
	platform.hpp
	window-main.hpp
	window-basic-main.hpp
	window-basic-filters.hpp
	window-basic-settings.hpp
	window-basic-interaction.hpp
	window-basic-properties.hpp
	window-basic-main-outputs.hpp
	window-basic-source-select.hpp
	window-license-agreement.hpp
	window-basic-status-bar.hpp
	window-basic-adv-audio.hpp
	window-basic-transform.hpp
	window-basic-preview.hpp
	window-namedialog.hpp
	window-log-reply.hpp
	window-projector.hpp
	window-remux.hpp
	properties-view.hpp
	properties-view.moc.hpp
	display-helpers.hpp
	double-slider.hpp
	focus-list.hpp
	menu-button.hpp
	mute-checkbox.hpp
	volume-control.hpp
	adv-audio-control.hpp
	item-widget-helpers.hpp
	visibility-checkbox.hpp
	vertical-scroll-area.hpp
	visibility-item-widget.hpp
	slider-absoluteset-style.hpp
	source-list-widget.hpp
	qt-display.hpp
	crash-report.hpp
	hotkey-edit.hpp
	source-label.hpp
	remote-text.hpp
	audio-encoders.hpp
	qt-wrappers.hpp)

set(obs_UI
	forms/NameDialog.ui
	forms/OBSLicenseAgreement.ui
	forms/OBSLogReply.ui
	forms/OBSBasic.ui
	forms/OBSBasicTransform.ui
	forms/OBSBasicFilters.ui
	forms/OBSBasicSettings.ui
	forms/OBSBasicSourceSelect.ui
	forms/OBSBasicInteraction.ui
	forms/OBSRemux.ui)

set(obs_QRC
	forms/obs.qrc)

qt5_wrap_ui(obs_UI_HEADERS ${obs_UI})
qt5_add_resources(obs_QRC_SOURCES ${obs_QRC})

add_executable(obs WIN32
	${obs_SOURCES}
	${obs_HEADERS}
	${obs_UI_HEADERS}
	${obs_QRC_SOURCES})

if(WIN32)
	if(CMAKE_SIZEOF_VOID_P EQUAL 8)
		set(_output_suffix "64")
	else()
		set(_output_suffix "32")
	endif()

	set_target_properties(obs
		PROPERTIES
			OUTPUT_NAME "obs${_output_suffix}")
endif()

target_link_libraries(obs
	libobs
	libff
	Qt5::Widgets
	${LIBCURL_LIBRARIES}
	${obs_PLATFORM_LIBRARIES})

define_graphic_modules(obs)

install_obs_core(obs)
install_obs_data(obs data obs-studio)

if (UNIX AND UNIX_STRUCTURE AND NOT APPLE)
	install(FILES dist/obs.desktop DESTINATION share/applications)
	install(FILES forms/images/obs.png
		DESTINATION share/icons/hicolor/256x256/apps)
endif()

=== plugins/CMakeLists.txt ===

if(WIN32)
	option(BUILD_CA_ENCODER "Build CoreAudio encoder module" ON)
	if (BUILD_CA_ENCODER)
		add_subdirectory(coreaudio-encoder)
	endif()
	add_subdirectory(win-wasapi)
	add_subdirectory(win-dshow)
	add_subdirectory(win-capture)
	add_subdirectory(decklink/win)
	add_subdirectory(win-mf)
	add_subdirectory(obs-qsv11)
elseif(APPLE)
	add_subdirectory(coreaudio-encoder)
	add_subdirectory(mac-avcapture)
	add_subdirectory(mac-capture)
	add_subdirectory(mac-vth264)
	add_subdirectory(mac-syphon)
	add_subdirectory(decklink/mac)
elseif("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
	add_subdirectory(linux-capture)
	add_subdirectory(linux-pulseaudio)
	add_subdirectory(linux-v4l2)
	add_subdirectory(linux-jack)
	add_subdirectory(linux-alsa)
	add_subdirectory(decklink/linux)
elseif("${CMAKE_SYSTEM_NAME}" MATCHES "FreeBSD")
	add_subdirectory(linux-capture)
	add_subdirectory(linux-pulseaudio)
	add_subdirectory(linux-v4l2)
	add_subdirectory(linux-jack)
endif()

add_subdirectory(image-source)
add_subdirectory(obs-x264)
add_subdirectory(obs-libfdk)
add_subdirectory(obs-ffmpeg)
add_subdirectory(obs-outputs)
add_subdirectory(obs-filters)
add_subdirectory(obs-transitions)
add_subdirectory(rtmp-services)
add_subdirectory(text-freetype2)

=== deps/w32-pthreads/CMakeLists.txt ===
project(w32-pthreads)

if(NOT WIN32)
	return()
endif()

set(w32-pthreads_SOURCES
	pthread.c)

set(w32-pthreads_HEADERS
	implement.h
	pthread.h
	sched.h
	semaphore.h)

add_library(w32-pthreads SHARED
	${w32-pthreads_SOURCES}
	${w32-pthreads_HEADERS})
target_compile_definitions(w32-pthreads
	PRIVATE __CLEANUP_C PTW32_BUILD)
target_include_directories(w32-pthreads
	PUBLIC .)
target_link_libraries(w32-pthreads)

install_obs_core(w32-pthreads)

=== plugins/obs-filters/CMakeLists.txt ===
project(obs-filters)

set(obs-filters_SOURCES
	obs-filters.c
	color-filter.c
	async-delay-filter.c
	crop-filter.c
	scroll-filter.c
	chroma-key-filter.c
	color-key-filter.c
	sharpness-filter.c
	gain-filter.c
	noise-gate-filter.c
	mask-filter.c)

add_library(obs-filters MODULE
	${obs-filters_SOURCES})
target_link_libraries(obs-filters
	libobs)

install_obs_plugin_with_data(obs-filters data)

=== plugins/obs-outputs/CMakeLists.txt ===
project(obs-outputs)

option(USE_SSL "Enable rtmps support with OpenSSL" OFF)

if (USE_SSL)
	find_package(SSL QUIET)
	find_package(ZLIB QUIET)
endif()

if (SSL_FOUND AND ZLIB_FOUND)
	add_definitions(-DCRYPTO -DUSE_OPENSSL)
	include_directories(${SSL_INCLUDE_DIRS} ${ZLIB_INCLUDE_DIRS})
else()
	if (USE_SSL)
		message(WARNING "SSL enabled by user, but OpenSSL was not found")
	endif()
	unset(SSL_LIBRARIES)
	unset(ZLIB_LIBRARIES)
	add_definitions(-DNO_CRYPTO)
endif()


if(WIN32)
	set(obs-outputs_PLATFORM_DEPS
		ws2_32
		winmm
		Iphlpapi)
endif()

if(MSVC)
	set(obs-outputs_PLATFORM_DEPS
		${obs-outputs_PLATFORM_DEPS}
		w32-pthreads)
endif()

set(obs-outputs_librtmp_HEADERS
	librtmp/amf.h
	librtmp/bytes.h
	librtmp/cencode.h
	librtmp/dh.h
	librtmp/dhgroups.h
	librtmp/handshake.h
	librtmp/http.h
	librtmp/log.h
	librtmp/md5.h
	librtmp/rtmp.h
	librtmp/rtmp_sys.h)
set(obs-outputs_librtmp_SOURCES
	librtmp/amf.c
	librtmp/cencode.c
	librtmp/hashswf.c
	librtmp/log.c
	librtmp/md5.c
	librtmp/parseurl.c
	librtmp/rtmp.c)

if(NOT WIN32)
	set_source_files_properties(${obs-outputs_librtmp_SOURCES} PROPERTIES
		COMPILE_FLAGS "-fvisibility=hidden")
endif()

set(obs-outputs_HEADERS
	obs-output-ver.h
	rtmp-helpers.h
	flv-mux.h
	flv-output.h
	librtmp)
set(obs-outputs_SOURCES
	obs-outputs.c
	rtmp-stream.c
	flv-output.c
	flv-mux.c)
	
add_library(obs-outputs MODULE
	${obs-outputs_SOURCES}
	${obs-outputs_HEADER}
	${obs-outputs_librtmp_SOURCES}
	${obs-outputs_librtmp_HEADERS})
target_link_libraries(obs-outputs
	libobs
	${SSL_LIBRARIES}
	${ZLIB_LIBRARIES}
	${obs-outputs_PLATFORM_DEPS})

install_obs_plugin_with_data(obs-outputs data)

=== plugins/obs-transitions/CMakeLists.txt ===
project(obs-transitions)

set(obs-transitions_SOURCES
	obs-transitions.c
	transition-slide.c
	transition-swipe.c
	transition-fade.c
	transition-cut.c
	transition-fade-to-color.c
	)

add_library(obs-transitions MODULE
	${obs-transitions_SOURCES})
target_link_libraries(obs-transitions
	libobs)

install_obs_plugin_with_data(obs-transitions data)

## obs-studio 0.14.2

=== debian/changelog ===
obs-studio (0.14.2-0mx150+1) mx; urgency=medium

  * New upstream release.
 
  General Changes:
  * Fixed a potential freeze when reconnecting
  * Fixed a potential crash when disconnecting on program shutdown
  * Fixed a bug with transitions where under certain circumstances the audio from the target scene would not start playing until the transition was completed
  * Fixed a few potential freezes and other bugs with the media source
  * Fixed a bug where using "rescale" with the QSV encoder wouldn't work properly
  * Fixed a bug where deinterlaced sources would sometimes appear vertically flipped when deinterlacing was enabled
  * Fixed a bug where alt-crop wouldn't work properly if a source was flipped
  * Fixed a bug where you couldn't save a recording to a file or path that contained unicode characters
  * Fixed a bug where simple output mode would not record QSV at the expected bitrates relative to "high" and "indistinguishable" quality on haswell+ processors
  * Fixed a bug where switching from a scene collection with custom transitions could corrupt the scene collection being switched to
  * Fixed an issue where NVENC would use too much bitrate unnecessarily when recording, now uses CQP instead of VBR
  * Fixed an issue where NVENC constant bitrate wasn't working properly
  * Window capture on windows will no longer display anything if the window has been closed and can no longer be found.  Before it would display a frozen image of the window before it was closed
  * Game capture on windows will now prevent itself from hooking OBS projector windows when game capture is set to capture any fullscreen program
  * Game capture on windows will now try to initialize capture immediately when possible, especially on games/programs that are already hooked
  * Game capture on windows no longer acts as a global source, and when not being shown it will fully deactivate (for example it's in another scene).  This fixes an issue where game capture would sometimes show a black screen if there were other separate game captures in different scenes capturing the same thing
  * Monitor capture on windows no longer acts as a global source, and when not being shown it will fully deactivate (again for example when it's in another scene).  This fixes an issue on windows 8/10+ where monitor capture would cause unexpected lag while in a different scene when a fullscreen game is active
  * Projectors no longer minimize if the main window is minimized
  * If the main OBS window was closed on a monitor that's no longer plugged in, it will now start up on the main display rather than starting up off-screen
  * When changing encoders in advanced output mode, settings from the previous encoder will no longer try to apply to the new encoder, which may have a completely different setting layout
  * Changed the browse dialogs for the remux dialog to show the various supported file types rather than just FLV/MP4
  * Changed x264 and NVENC to have a "rate control" setting instead of a "Use CBR" setting
  * Increased NVENC bitrate limit
  * Added CQP rate control mode to NVENC encoder interface
  * Added lossless rate control mode to NVENC encoder interface
  * Added CRF rate control mode to x264 encoder interface (functions the same as when you're using VBR with 0 buffer size)
  * Added ABR rate control mode to x264 encoder interface (functions similar to CBR but without bitrate padding)
  * FFmpeg now is compiled with VP8 and VP9 support on windows

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Sat, 21 May 2016 22:06:57 -0500

obs-studio (0.14.1-0mx150+1) mx; urgency=medium

  * New upstream release.
  
  0.14.1 Hotfix:
  * Fixed an issue with chroma key not working at all
  * Fixed an issue where media source wouldn't loop gif files correctly anymore
  * Fixed an issue where windows 7 would fail when checking for file/version updates
  
  0.14.0 General Changes:
  * Added deinterlacing.  Deinterlacing modes can now be used by right-clicking the source and going to "deinterlacing" in the menu to select the deinterlacing options.  Deinterlacing only works on sources that support it (video capture device source and media source primarily)
  * Added full NVIDIA NVENC encoder and deprecated the Microsoft Media Foundation NVENC encoder.  NVENC is supported for windows and linux, and can be used via the simple output mode.  (Note: To use NVENC on linux, you must compile or get a version of FFmpeg with NVENC support)
  * Added full Intel QuickSync encoder and deprecated the Microsoft Media Foundation QuickSync encoder.  The full QuickSync implementation is currently only supported on windows, and can be used via the simple output mode.
  * Added alt-cropping (cropping via the alt-key).  This type of crop only affects the specific scene item and does not affect all instances of a source.  You can also change the specific crop number values in the source transform dialog.
  * Added a 'slide' transition.  This is different from the swipe transition in that it slides in the new scene while sliding out the old scene (HWD)
  * Added a 'fade to color' transition.  This transition fades to a color and then fades to the target scene from that color. (HWD)
  * Added command line parameters:  --collection [scene collection name], --profile [profile name], --scene [scene name], --startstreaming, --startrecording.  If a collection/profile/scene has a space in the name, use quotes around the full name.
  * Added "snap to other sources" feature (enabled by default, can be disabled in general settings)
  * Added "snap to vertical/horizontal center" feature (disabled by default, option to enable is in general settings)
  * Added the ability to turn off all snapping in general settings (reminder that you can always temporarily disable snapping by holding down the control key while dragging/resizing)
  * Added options to change the recording file name formatting in advanced settings


=== debian/control ===
Source: obs-studio
Section: video
Priority: optional
Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
#XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Carl Fürstenberg <azatoth@gmail.com>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 cmake (>= 2.8.12),
 debhelper (>= 9),
 libavcodec-dev,
 libavdevice-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libdbus-1-dev,
 libfontconfig-dev,
 libfreetype6-dev,
 libgl1-mesa-dev | libgl-dev,
 libjack-dev,
 libjansson-dev (>= 2.5),
 libpulse-dev,
 libqt5x11extras5-dev,
 libswresample-dev,
 libswscale-dev,
 libudev-dev,
 libv4l-dev,
 libx11-dev,
 libx264-dev,
 libxcb-shm0-dev,
 libxcb-xinerama0-dev,
 libxcomposite-dev,
 libxinerama-dev,
 qtbase5-dev
Standards-Version: 3.9.7
Homepage: https://obsproject.com
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/obs-studio.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/obs-studio.git

Package: obs-studio
Architecture: any
Breaks: obs-studio (<< 0.13.2)
Conflicts: obs-studio (<< 0.13.2)
Depends: obs-plugins (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 Other features include:
  * Encoding using H264 (x264) and AAC
  * Unlimited number of scenes and sources
  * File output to MP4 or FLV
  * GPU-based game capture for high performance game streaming
  * Bilinear or lanczos3 resampling

Package: obs-plugins
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content (plugins)
 OBS is designed for efficiently recording and streaming live video content. It
 supports live RTP streaming to various streaming sites.
 .
 This package contains the plugins.

Package: libobs0
Multi-Arch: same
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content (shared library)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the shared library libobs.

Package: libobs-dev
Section: libdevel
Architecture: any
Depends:
 libobs0 (= ${binary:Version}),
 ${misc:Depends}
Description: recorder and streamer for live video content (development files)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_CPPFLAGS_MAINT_APPEND=-DFFMPEG_MUX_FIXED=\"/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/ffmpeg-mux\"

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DOBS_MULTIARCH_SUFFIX=/$(DEB_HOST_MULTIARCH) \
		-DUNIX_STRUCTURE=1

override_dh_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg
	mv debian/tmp/usr/share/obs/obs-plugins/obs-ffmpeg/ffmpeg-mux \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/ffmpeg-mux
	dh_install
	rm -rf debian/obs-studio/usr/share/obs/obs-studio/license

## obs-studio 0.14.2+dfsg1

=== debian/changelog ===
obs-studio (0.14.2+dfsg1-3) unstable; urgency=medium

  * debian/control. Also restrict obs-plugins to any-amd64.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Jul 2016 08:39:10 +0200

obs-studio (0.14.2+dfsg1-2) unstable; urgency=medium

  * debian/control: Restrict Architecture to any-amd64.
  * debian/copyright: Document Blackmagic Design copyright.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Jul 2016 19:23:10 +0200

obs-studio (0.14.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libobs0.symbols: Add new symbols.
  * debian/control:
    - Bump Standards-Version.
    - Add libasound2-dev to Build-Depends.
    - Mention in Description minimal OpenGL requirement.
  * debian/copyright:
    - Update Files-Excluded for new upstream version.
    - Add license information for new files.
    - Fix license information for libff and w32-pthreads.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 24 May 2016 22:56:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: obs-studio
 Section: video
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-#XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Carl Fürstenberg <azatoth@gmail.com>,
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- cmake (>= 2.8.12),
+ cmake,
  debhelper (>= 9),
+ libasound2-dev,
  libavcodec-dev,
  libavdevice-dev,
  libavfilter-dev,
@@ -21,7 +19,7 @@
  libfontconfig-dev,
  libfreetype6-dev,
  libgl1-mesa-dev | libgl-dev,
- libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
  libjansson-dev (>= 2.5),
  libpulse-dev,
  libqt5x11extras5-dev,
@@ -36,15 +34,13 @@
  libxcomposite-dev,
  libxinerama-dev,
  qtbase5-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://obsproject.com
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/obs-studio.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/obs-studio.git
 
 Package: obs-studio
-Architecture: any
-Breaks: obs-studio (<< 0.13.2)
-Conflicts: obs-studio (<< 0.13.2)
+Architecture: any-amd64
 Depends: obs-plugins (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: recorder and streamer for live video content
  OBS Studio is designed for efficiently recording and streaming live video
@@ -56,10 +52,12 @@
   * File output to MP4 or FLV
   * GPU-based game capture for high performance game streaming
   * Bilinear or lanczos3 resampling
+ .
+ Note that OBS Studio requires an OpenGL 3.2 compatible video card.
 
 Package: obs-plugins
 Multi-Arch: same
-Architecture: any
+Architecture: any-amd64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: recorder and streamer for live video content (plugins)
  OBS is designed for efficiently recording and streaming live video content. It
@@ -70,7 +68,7 @@
 Package: libobs0
 Multi-Arch: same
 Section: libs
-Architecture: any
+Architecture: any-amd64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: recorder and streamer for live video content (shared library)
  OBS Studio is designed for efficiently recording and streaming live video
@@ -80,7 +78,7 @@
 
 Package: libobs-dev
 Section: libdevel
-Architecture: any
+Architecture: any-amd64
 Depends:
  libobs0 (= ${binary:Version}),
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 export DEB_CPPFLAGS_MAINT_APPEND=-DFFMPEG_MUX_FIXED=\"/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/ffmpeg-mux\"
-
-include /usr/share/dpkg/architecture.mk
 
 %:
 	dh $@ --parallel

## obs-studio 0.15.4%2Bdfsg1

=== debian/changelog ===
obs-studio (0.15.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add libspeexdsp-dev and libvlc-dev to B-D.
    - Add vlc to obs-plugin's Recommends.
  * debian/libobs0.symbols: Update symbols.
  * debian/copyright: Update copyright information
  * debian/{rules,obs.rst}: Add manpage.
  * debian/{rules,control}: Tighten inter-package dependencies.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Aug 2016 16:07:28 +0200
